%global pkg_name haddock

%global common_summary Haskell %{pkg_name} library

%global common_description  A documentation-generation tool for Haskell libraries

%global ghc_pkg_deps ghc-ghc-paths-devel,ghc-ghc-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           %{pkg_name}
Version:        2.7.2
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
BuildRequires:  alex,happy
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install
mv $RPM_BUILD_ROOT%{_bindir}/haddock $RPM_BUILD_ROOT%{_bindir}/haddock-%{version}
echo "%{_bindir}/haddock-%{version}" >> %{name}.files
echo "%{_datadir}/%{pkg_name}-%{version}/html" >> %{name}-devel.files

%clean
rm -rf $RPM_BUILD_ROOT


%{ghc_lib_package}


%changelog
* Sun Oct 10 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 2.7.2-1
- Modified dependencies, license tag
- Changing binary executable name from haddock to haddock-version as ghc already ships with haddock binary

* Sun Oct 10 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 2.7.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
